PrimTux

La distribution éducative pour débutants et initiés.

Vous n'êtes pas identifié(e).

Annonce

CARTE DES MEMBRES POUVANT AIDER ET DES ÉCOLES SOUS PRIMTUX
Merci de vous y inscrire en nous envoyant un email si vous souhaitez y apparaître.

Les différentes isos de PrimTux4 sont disponibles, cliquez ici pour choisir votre version.
  • Pour être automatiquement informé des réponses à vos messages sur le forum, n'oubliez pas de cliquer sur "Suivre cette discussion" en bas de page. Mieux, en vous abonnant au flux RSS du forum, vous pourrez suivre tout nouveau message sur l'ensemble du forum.
  • En allant dans votre Profil, ligne "Vie privée", vous pouvez également cocher "Suivre automatiquement les sujets auxquels on a répondu.", vous n'aurez plus à cliquer sur "Suivre cette discussion" lorsque vous postez un message.
  • Abonnez-vous à la newsletter sur le site principal pour être informé des nouveaux paquets, nouvelles versions, bugs...

#1 19-04-2019 10:52:29

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 578

Problème java

Depuis le 16 avril, il n'est plus possible d'installer oracle java via ce ppa: https://launchpad.net/~webupd8team/+archive/ubuntu/java

Voir aussi ici: https://www.oracle.com/technetwork/java … 33151.html

Il va donc falloir trouver une solution pour le remplacer, voir si ce qui ne fonctionnait pas avant avec le java libre fonctionne maintenant et changer les dépendances...

Hors ligne

#2 19-04-2019 11:29:54

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 861
Site Web

Re : Problème java

Oracle est a changé sa politique et l'utilisation de son java devient problématique.

Le seule solution est d'utiliser le java  libre, ce vers quoi tendent beaucoup d'utilisateurs, dont des entreprises suite à la nouvelle politique d'Oracle qui veut maintenant faire payer un usage commercial. C'est la solution que j'avais adoptée pour le RPi sur lequel le java d'Oracle n'est pas disponible :

oracle-java8-set-default est remplacé par default-jre
oracle-java8-installer est remplacé par openjdk-8-jre

Nous n'avons pas eu de retours négatifs en ce qui concerne java sur RPi pour l'instant, mais tout n'a probablement pas été testé !

Hors ligne

#3 19-04-2019 11:38:31

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 578

Re : Problème java

C'était surtout des problèmes de son.

Hors ligne

#4 19-04-2019 13:10:35

Philippe Dpt35
Administrateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 861
Site Web

Re : Problème java

Si tu sais précisément quelles applications posaient des problèmes de son, ça sera facile à tester.

Hors ligne

#5 19-04-2019 14:02:06

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 578

Re : Problème java

Je vais tout réessayer et mettre les 2 possibilités dans les dépendances.

Hors ligne

#6 19-04-2019 15:29:26

Steph
Administrateur
Inscription : 03-06-2015
Messages : 5 578

Re : Problème java

L'envoi des fichiers avec les dépendances modifiées est en cours. Je n'ai pas testé mais de toute manière quelque part on n'a pas le choix...

Hors ligne

#7 19-04-2019 21:15:11

mhep
Modérateur
Inscription : 23-07-2016
Messages : 603

Re : Problème java

J'ai fait des installations récemment et il semble que les applications gênées étaient "La course aux nombres", "tbisuite" et "Je compte, ça compte".
Finalement, j'ai l'impression qu'elles ont fini par s'installer quand même.

Hors ligne

Pied de page des forums